---
title: CSSPseudoElement
slug: Web/API/CSSPseudoElement
tags:
  - API
  - CSSPseudoElement
  - Element
  - Experimental
  - Interface
  - Reference
---
<p>{{APIRef}}{{SeeCompatTable}}</p>

<p class="summary">The <strong><code>CSSPseudoElement</code></strong> interface represents a pseudo-element that may be the target of an event or animated using the {{DOMxRef('Web Animations API', '', '', 'true')}}. Instances of this interface may be obtained by calling {{DOMxRef('Element.pseudo()')}}.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{DOMxRef('CSSPseudoElement.element')}} {{Experimental_Inline}} {{readOnlyInline}}</dt>
 <dd>Returns the originating/parent {{DOMxRef('Element')}} of the pseudo-element.</dd>
 <dt>{{DOMxRef('CSSPseudoElement.type')}} {{Experimental_Inline}} {{readOnlyInline}}</dt>
 <dd>Returns the pseudo-element selector as a {{DOMxRef('CSSOMString')}}.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em><code>CSSPseudoElement</code> extends {{DOMxRef('EventTarget')}}, so it inherits the following methods:</em></p>

<dl>
 <dt>{{domxref("EventTarget.addEventListener()")}}</dt>
 <dd>Registers an event handler of a specific event type on the pseudo-element.</dd>
 <dt>{{domxref("EventTarget.dispatchEvent()")}}</dt>
 <dd>Dispatches an event to this pseudo-element.</dd>
 <dt>{{domxref("EventTarget.removeEventListener()")}}</dt>
 <dd>Removes an event listener from the pseudo-element.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<h3 id="Basic_example_using_Element.pseudo">Basic example using Element.pseudo</h3>

<p>Using pseudo-elements, most modern browsers will automatically add quotation marks around text inside a {{HTMLElement('q')}} element. (A style rule may be needed to add quotation marks in older browsers.) The example below demonstrates the basic properties of the <code>CSSPseudoElement</code> object representing the opening quotation mark.</p>

<pre class="brush: js">const element = document.querySelector('q');
const cssPseudoElement = element.pseudo('::before');
console.log(cssPseudoElement.element); // Outputs [object HTMLQuoteElement]
console.log(cssPseudoElement.type); // Outputs '::before'
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS4 Pseudo-Elements', '#CSSPseudoElement-interface', 'CSSPseudoElement')}}</td>
   <td>{{Spec2('CSS4 Pseudo-Elements')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div class="hidden">
<p>The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>
</div>

<p>{{Compat('api.CSSPseudoElement')}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{DOMxRef('Element.pseudo()')}}</li>
 <li>{{DOMxRef('Web Animations API', '', '', 'true')}}</li>
 <li>{{DOMxRef('Element.animate()')}}</li>
</ul>
